# $Id: player-drawer-left.rb 21 2005-05-07 16:05:49Z tilman $

c = EDJE.collection("euphoria")

parts = []

c.part("player.normal.group.drawer.left", :rect) do |p|
	parts << p

	p.description do |d|
		d.color = "#00000000"

		d.rel[0].to = d.rel[1].to = c.part("player.normal.group.drawer.volume")
		d.rel[0].set_offset(44, 8)
		d.rel[1].set_rel(0.0, 0.0)
		d.rel[1].set_offset(104, 165)
	end

	p.description("visible").color = "#00000000"
end

c.part("player.background.drawer.left.shadow", :image) do |p|
	parts << p

	p.description do |d|
		d.rel[0].to = d.rel[1].to = parts.first

		d.image = "images/background-drawer-left-shadow.png"
	end
end

c.part("player.background.drawer.left", :image) do |p|
	parts << p

	p.description do |d|
		d.rel[0].to = d.rel[1].to = parts.first

		d.image = "images/background-drawer-left.png"
	end
end

c.part("player.background.drawer.left.arm", :image) do |p|
	parts << p

	p.description do |d|
		d.rel[0].to = d.rel[1].to = parts.first
		d.rel[0].set_offset(34, 49)

		d.auto_rel = true
		d.image = "images/background-drawer-left-arm.png"
	end
end

h = {"pl" => [6, nil, "playlist.open"],
     "ml" => 25,
     "eject" => [44, nil, "file_dialog.open"],
     "video" => [68, "misc"],
     "skinoptions" => [94, "misc"],
     "drawer" => [121, nil,
                  "player.normal.group.drawer.bottom.toggle_vis"]}
h.each do |name, (y, im, sig)|
	if sig.nil?
		parts << Button.new(c, "player.button." + name, parts.first,
		                    "button-#{im || name}", 9, y).part
	else
		parts << SignalButton.new(c, "player.button." + name,
		                          parts.first, "button-#{im || name}",
		                          9, y, sig).part
	end
end

c.program("player.normal.group.drawer.bottom.toggle_vis",
          :exec_script) do |p|
	p.signal = "mouse,clicked,1"
	p.source = parts.last.name

	p.script =<<SMALL
new i = !get_int (toggle_state_drawer);
set_int (toggle_state_drawer, i);

if (i)
	run_program (PROGRAM:"player.normal.group.drawer.bottom.show");
else
	run_program (PROGRAM:"player.normal.group.drawer.bottom.hide");
SMALL
end

c.part("player.background.drawer.left.clip", :rect) do |p|
	p.description do |d|
		d.rel[0].to = d.rel[1].to = c.part("root")
		d.rel[0].set_offset(5, 8)
		d.rel[1].set_rel(0.0, 0.0)
		d.rel[1].set_offset(65, 165)
	end

	parts.each { |part| part.clip = p }

	parts.first.description("visible") do |d|
		d.rel[0].to = d.rel[1].to = p
	end
end
