# $Id: playlist_item.rb 14 2005-04-24 20:38:32Z tilman $

TEXT_COLOR_HILIGHT = "#f0fafd"

EDJE.collection("playlist_item") do |c|
	c.set_size(150, 10)

	["title", "duration"].each do |name|
		c.part(name, :text) do |p|
			p.effect = :outline

			{"default" => TEXT_COLOR,
			 "selected" => TEXT_COLOR_HILIGHT}.each do |(state, color)|
				p.description(state) do |d|
					d.color = color
					d.outline_color = OUTLINE_COLOR

					d.font = "fonts/acknowledge2.ttf"
					d.font_size = 12
					d.text = "Dark Tranquillity - Through Smudged Lenses"
					d.set_text_align(0.0)
				end
			end
		end
	end

	["default", "selected"].each do |state|
		c.part("title").description(state) do |d|
			d.rel[1].set_to(c.part("duration"), nil)
			d.rel[1].set_rel(0.0, 1.0)

			#d.rel[0].set_offset(0, 0)
			d.rel[1].set_offset(5, 0)
		end

		c.part("duration").description(state) do |d|
			d.rel[0].set_rel(1.0, 0.0)
			d.rel[0].set_offset(-35, 0)

			d.text = "04:11"
			d.set_text_align(1.0)
		end
	end

	["selected", "unselected"].each do |state|
		c.program("playlist_item.#{state}", :set_state) do |p|
			p.signal = "playlist_item.#{state}"
			p.state = state == "unselected" ? "default" : state
			p.mode = state == "selected" ? :accelerate : :decelerate
			p.time = 0.5
			p.targets << ProgramTarget.new(c.part("title"))
			p.targets << ProgramTarget.new(c.part("duration"))
		end
	end

	c.program("playlist_item.doubleclick", :emit_signal) do |p|
		p.signal = "mouse,down,1,double"
		p.source = "*"
		p.emission_signal = "playlist_item.play"
	end
end
